NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.Features.MoveCurveBuilder Class Reference

Represents a NXOpen.Features.MoveCurve builder More...

Inheritance diagram for NXOpen.Features.MoveCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe
NXOpen.Features.CurveFinderBuilder 
CurveFinder [get]
 Returns the curve section More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe bool KeepOrthogonal [get, set]
 Returns or sets a value that indicates whether keep orthogonal is enabled More...
 
unsafe int KeepTangent [get, set]
 Returns or sets a value that indicates which keep tangent support is selected More...
 
unsafe int SizeOption [get, set]
 Returns or sets a value that indicates which size option is selected More...
 
unsafe
NXOpen.GeometricUtilities.ModlMotion 
TransformMotion [get]
 Returns the transform motion More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.MoveCurve builder

To create a new instance of this class, use NXOpen.Features.SynchronousCurveCollection.CreateMoveCurveBuilder

Default values.

Property Value

CurveFinder.ChamferEnabled

0

CurveFinder.CoincidentVertex2dComponentEnabled

0

CurveFinder.CoincidentVertexEnabled

0

CurveFinder.CoincidentVertexSketchGroupEnabled

0

CurveFinder.Collinear2dComponentEnabled

0

CurveFinder.CollinearEnabled

0

CurveFinder.CollinearSketchGroupEnabled

0

CurveFinder.Concentric2dComponentEnabled

0

CurveFinder.ConcentricEnabled

0

CurveFinder.ConcentricSketchGroupEnabled

0

CurveFinder.EqualRadius2dComponentEnabled

0

CurveFinder.EqualRadiusEnabled

0

CurveFinder.EqualRadiusSketchGroupEnabled

0

CurveFinder.Offset2dComponentEnabled

0

CurveFinder.OffsetEnabled

0

CurveFinder.OffsetSketchGroupEnabled

0

CurveFinder.Parallel2dComponentEnabled

0

CurveFinder.ParallelEnabled

0

CurveFinder.ParallelSketchGroupEnabled

0

CurveFinder.SymmetricEnabled

0

CurveFinder.Tangent2dComponentEnabled

0

CurveFinder.TangentEnabled

0

CurveFinder.TangentSketchGroupEnabled

0

CurveFinder.UseCurveFinder

1

CurveFinder.VertexOnCurve2dComponentEnabled

0

CurveFinder.VertexOnCurveEnabled

0

CurveFinder.VertexOnCurveSketchGroupEnabled

0

TransformMotion.DeltaEnum

ReferenceWcsWorkPart

TransformMotion.DeltaXc.Value

0.0

TransformMotion.DeltaYc.Value

0.0

TransformMotion.DeltaZc.Value

0.0

TransformMotion.Option

Dynamic

Created in NX9.0.0

Property Documentation

unsafe NXOpen.Features.CurveFinderBuilder NXOpen.Features.MoveCurveBuilder.CurveFinder
get

Returns the curve section

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.Features.MoveCurveBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Features.MoveCurveBuilder.KeepOrthogonal
getset

Returns or sets a value that indicates whether keep orthogonal is enabled

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe int NXOpen.Features.MoveCurveBuilder.KeepTangent
getset

Returns or sets a value that indicates which keep tangent support is selected

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe int NXOpen.Features.MoveCurveBuilder.SizeOption
getset

Returns or sets a value that indicates which size option is selected

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe NXOpen.GeometricUtilities.ModlMotion NXOpen.Features.MoveCurveBuilder.TransformMotion
get

Returns the transform motion

Created in NX9.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.